Page MenuHomeFreeBSD

multimedia/ffmpeg: enable VAAPI and VDPAU by default
ClosedPublic

Authored by jbeich on Apr 10 2016, 2:59 AM.

Details

Summary

Build VAAPI and VDPAU backends, so ports using system ffmpeg can take advantage of GPU-assisted decoding. Also, propagate defaults to consumers.

Hardware acceleration in video players tends to be more reliable than, say, in browsers. However, it's often still disabled by default or can be force-disabled if not.

This may help reduce the number of bundlers.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jbeich updated this revision to Diff 15048.Apr 10 2016, 2:59 AM
jbeich retitled this revision from to multimedia/ffmpeg: enable VAAPI and VDPAU by default.
jbeich updated this object.
jbeich edited the test plan for this revision. (Show Details)
jbeich added reviewers: multimedia, avilla, cpm.
jbeich added a subscriber: x11.
bapt added a subscriber: bapt.Apr 10 2016, 8:35 AM

While here, please also enable V4L by default it is needed to be able to have things like qtox working outofbox

bapt added a reviewer: riggs.Apr 10 2016, 8:35 AM

rP412399 already made V4L=on by default for multimedia/ffmpeg. Elsewhere the impact on consumers is less clear but if they already depend on ffmpeg this often leads to "why not?".

cpm accepted this revision.Apr 13 2016, 12:07 AM
cpm edited edge metadata.
This revision is now accepted and ready to land.Apr 13 2016, 12:07 AM
cpm added a comment.Apr 13 2016, 12:13 AM

It seems right, so go ahead.

riggs accepted this revision.Apr 14 2016, 6:55 AM
riggs edited edge metadata.

Yep, no objection from my side.

This revision was automatically updated to reflect the committed changes.